import {Component, OnDestroy, OnInit} from "@angular/core";
import {ActivatedRoute, NavigationEnd, Router} from "@angular/router";


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})

export class AppComponent implements OnInit{
  title = 'ipmworks-web';
  hideheader?:string
  constructor(public router:Router,public route:ActivatedRoute) {
  }
  ngOnInit(): void {
      this.router.events.subscribe(e => {
        this.hideheader = this.route.root.firstChild?.snapshot.data['header'];
      });
    }


}



